package com.ruixuan.isc.entity;

import java.math.BigDecimal;

import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;



/**
 * 【请填写功能名称】对象 kuaishou_rule_detail
 *
 * @author ruoyi
 * @date 2023-05-15
 */
public class KuaishouRuleDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 规则ID
     */
    private Long id;

    /**
     * 规则名称
     */
    @Excel(name = "规则名称")
    private Long ruleId;

    /**
     * 起始单数
     */
    @Excel(name = "起始单数")
    private Integer startItemCount;

    /**
     * 结束单数
     */
    @Excel(name = "结束单数")
    private Integer endItemCount;

    /**
     * 主播奖励金额
     */
    @Excel(name = "主播奖励金额")
    private BigDecimal anchorAmount;

    /**
     * 推荐人奖励金额
     */
    @Excel(name = "推荐人奖励金额")
    private BigDecimal referenceAmount;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Integer sortCount;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public Integer getStartItemCount() {
        return startItemCount;
    }

    public void setStartItemCount(Integer startItemCount) {
        this.startItemCount = startItemCount;
    }

    public Integer getEndItemCount() {
        return endItemCount;
    }

    public void setEndItemCount(Integer endItemCount) {
        this.endItemCount = endItemCount;
    }

    public BigDecimal getAnchorAmount() {
        return anchorAmount;
    }

    public void setAnchorAmount(BigDecimal anchorAmount) {
        this.anchorAmount = anchorAmount;
    }

    public BigDecimal getReferenceAmount() {
        return referenceAmount;
    }

    public void setReferenceAmount(BigDecimal referenceAmount) {
        this.referenceAmount = referenceAmount;
    }

    public Integer getSortCount() {
        return sortCount;
    }

    public void setSortCount(Integer sortCount) {
        this.sortCount = sortCount;
    }

    @Override
    public String toString() {
        return "KuaishouRuleDetail{" +
                "id=" + id +
                ", ruleId=" + ruleId +
                ", startItemCount=" + startItemCount +
                ", endItemCount=" + endItemCount +
                ", anchorAmount=" + anchorAmount +
                ", referenceAmount=" + referenceAmount +
                ", sortCount=" + sortCount +
                '}';
    }
}

